Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - h -

- H : md5.c , rmd160.c
- HALF_BASE : bigdecimal.c
- HALF_DAYS_IN_SECONDS : date_core.c
- HAS_EXTRA_STATES : hash.c
- has_ivars : marshal.c
- has_unc : file.c
- HASH_DELETED : internal.h
- hash_fallback : transcode.c
- HASH_PROC_DEFAULT : internal.h
- HASH_REDEFINED_OP_FLAG : vm_insnhelper.h
- HASH_REJECT_COPY_EXTRA_STATES : hash.c
- HAVE_ALPHA : date_parse.c
- HAVE_BACKTRACE : vm_dump.c
- HAVE_BN_GENCB : ossl_pkey.h
- HAVE_CIVIL : date_core.c
- have_civil_p : date_core.c
- HAVE_DASH : date_parse.c
- HAVE_DF : date_core.c
- have_df_p : date_core.c
- HAVE_DIGIT : date_parse.c
- HAVE_DOT : date_parse.c
- HAVE_ELEM_P : date_parse.c
- HAVE_FTRUNCATE : win32.h
- HAVE_HFS : dir.c
- HAVE_JD : date_core.c
- have_jd_p : date_core.c
- HAVE_LANGINFO_H : nkf.h
- HAVE_LOCALE_H : nkf.h
- HAVE_METACLASS_P : class.c
- HAVE_NATIVETHREAD : ruby.h
- HAVE_RB_DATA_TYPE_T_FUNCTION : ruby.h
- HAVE_RB_DATA_TYPE_T_PARENT : ruby.h
- HAVE_RB_DEFINE_ALLOC_FUNC : intern.h
- HAVE_RB_GC_GUARDED_PTR : ruby.h
- HAVE_RB_IO_T : io.h
- HAVE_RB_REG_NEW_STR : intern.h
- HAVE_RB_SCAN_ARGS_OPTIONAL_HASH : ruby.h
- HAVE_RUBY_DEFINES_H : ruby.h
- HAVE_RUBY_ENCODING_H : ruby.h
- HAVE_RUBY_INTERN_H : ruby.h
- HAVE_RUBY_IO_H : ruby.h
- HAVE_RUBY_MISSING_H : ruby.h
- HAVE_RUBY_ONIGURUMA_H : ruby.h
- HAVE_RUBY_RE_H : ruby.h
- HAVE_RUBY_REGEX_H : ruby.h
- HAVE_RUBY_RUBY_H : ruby.h
- HAVE_RUBY_ST_H : ruby.h
- HAVE_RUBY_THREAD_H : ruby.h
- HAVE_RUBY_UTIL_H : ruby.h
- HAVE_RUBY_VERSION_H : ruby.h
- HAVE_RUBY_VM_H : ruby.h
- HAVE_SLASH : date_parse.c
- HAVE_TIME : date_core.c
- have_time_p : date_core.c
- HAVE_TRUNCATE : win32.h
- HAVE_TYPE_RB_DATA_TYPE_T : ruby.h
- head : st.c
- HEAP_ALIGN_LOG : gc.c
- heap_eden : gc.c
- heap_pages_deferred_final : gc.c
- heap_pages_final_slots : gc.c
- heap_pages_himem : gc.c
- heap_pages_increment : gc.c
- heap_pages_length : gc.c
- heap_pages_lomem : gc.c
- heap_pages_max_free_slots : gc.c
- heap_pages_min_free_slots : gc.c
- heap_pages_sorted : gc.c
- heap_pages_swept_slots : gc.c
- heap_pages_used : gc.c
- heap_tomb : gc.c
- HEAPCNT : parse.c , ripper.c
- HELP_OUTPUT : nkf.h
- here_document : ripper.c , parse.c
- heredoc_end : parse.c , ripper.c
- heredoc_identifier : ripper.c , parse.c
- heredoc_restore : ripper.c , parse.c
- hex2bin : nkf.c
- hex2byte : win32.c
- HEXPREFIX : vsnprintf.c
- HH : rmd160.c
- HHH : rmd160.c
- hi : siphash.c
- hidden_obj_p : iseq.c
- hide_obj : compile.c
- hist_clear : readline.c
- hist_set : readline.c
- HMAC_Init_ex : openssl_missing.h
- HOLD_SIZE : nkf.c
- HOST_BIGENDIAN_P : bignum.c
- HOUR_IN_SECONDS : date_core.c
- HOUR_SHIFT : date_core.c
- HOUR_WIDTH : date_core.c
- HTOND : pack.c
- HTONF : pack.c
- HTOVD : pack.c
- HTOVF : pack.c